Chyby v debiane nejde .deb baliky ani apt-get

Sekcia: Konfigurácia 08.03.2010 | 17:26
Avatar Oliver Roch Ubuntu, Debian, Elive, XP  Používateľ
Zdravim vas mam dost velky problem chybne preinstaloval som balik libstdc++ a teraz mi stale pise kade jake chyby napriklad vobec nemozem spustit Gdeb alebo ked chcem spustit synaptic tak ho nespusti a ked napisem apt-get vypise mi toto:

pt-get: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by apt-get)
apt-get: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/libapt-pkg-libc6.7-6.so.4.6)

Dalej velmi dlho trva kym ma pripoji k netu alebo kym sa zapne compiz a naviac mi ani nejdu aktualizacie proste nic co ma nieco s .deb balikmi fakt pls help skusal som stiahnut libstdc++ z netu ale kedze mi nejde Gdeb tak ho nenainstalujem pls help.
    • Re: Chyby v debiane nejde .deb baliky ani apt-get 08.03.2010 | 17:36
      Avatar Stanislav Hoferek Greenie, Manjaro, Q4OS, Lubuntu  Používateľ
      mozes vyskusat toto:
      apt-get install -f
      • Re: Chyby v debiane nejde .deb baliky ani apt-get 08.03.2010 | 19:24
        Avatar Oliver Roch Ubuntu, Debian, Elive, XP  Používateľ
        Nejde ani to ale ide mi dpkg -i tak som stiahol to libstdc++ ale nejde nainstalovat varvi ze musim mat dobre nakonfigurovane libc6 a na to potrebujem libgcc1 a na to zas libc6 takze fakt neviem co s tym :(
    • Re: Chyby v debiane nejde .deb baliky ani apt-get 08.03.2010 | 19:45
      WlaSaTy   Návštevník
      To vypisuje balickovaci system alebo dynamicky linker?

      ldd `type -p apt-get`

      Zaujimalo by ma ci uz niekoho napadlo ze instalacne nastroje __musia byt staticky linkovane, al s (g)libc. Zatial mi to tak ani po rokoch nepripada. A ani gentoo nie je vynimkou.